Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataStructure.graph
Class UndirectedGraphNode

    java.lang.Object
      baseCode.common.Visitable
          baseCode.dataStructure.graph.AbstractGraphNode
              baseCode.dataStructure.graph.UndirectedGraphNode

All Implemented Interfaces:
  java.lang.Comparable, GraphNode

public class UndirectedGraphNode
extends AbstractGraphNode

Copyright (c) Columbia University

Version:
  $Id: UndirectedGraphNode.java,v 1.4 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary

Fields inherited from class baseCode.dataStructure.graph.AbstractGraphNode
`graph, item, key, log, visited`

Constructor Summary
`UndirectedGraphNode(java.lang.Object key)`
`UndirectedGraphNode(java.lang.Object key, java.lang.Object value, AbstractGraph graph)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`int` | `numNeighbors()`

Methods inherited from class baseCode.dataStructure.graph.AbstractGraphNode
`getGraph, getItem, getKey, isVisited, mark, setGraph, setItem, setValue, toString, unMark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndirectedGraphNode

    public UndirectedGraphNode(java.lang.Object key,
                               java.lang.Object value,
                               AbstractGraph graph)

### UndirectedGraphNode

    public UndirectedGraphNode(java.lang.Object key)

Method Detail

### numNeighbors

    public int numNeighbors()

### compareTo

    public int compareTo(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.